Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InvocableMap::EntryProcessor Class Reference

`#include <coherence/util/InvocableMap.hpp>`

Inherits Object.

Inherited by AbstractProcessor `[virtual]`, and PriorityProcessor `[virtual]`.

List of all members.

## Detailed Description

An invocable agent that operates against the Entry objects within a Map.

## Public Types
typedef spec::Handle | Handle
| EntryProcessor Handle definition.
typedef spec::View | View
| EntryProcessor View definition.
typedef spec::Holder | Holder
| EntryProcessor Holder definition.
## Public Member Functions
virtual Object::Holder | process (Entry::Handle hEntry) const =0
| Process a Map::Entry object.
virtual Map::View | processAll (Set::View vSetEntries) const =0
| Process a Set of InvocableMap::Entry objects.

## Member Function Documentation

virtual Object::Holder process | ( | Entry::Handle | hEntry | ) | const `[pure virtual]`

Process a Map::Entry object.

Parameters:

  | hEntry | the Entry to process

Returns:
  the result of the processing, if any

Implemented in CompositeProcessor, ConditionalProcessor, ConditionalPut, ConditionalPutAll, ConditionalRemove, ExtractorProcessor, NumberIncrementor, NumberMultiplier, PreloadRequest, PriorityProcessor, UpdaterProcessor, VersionedPut, and VersionedPutAll.

virtual Map::View processAll | ( | Set::View | vSetEntries | ) | const `[pure virtual]`

Process a Set of InvocableMap::Entry objects.

This method is semantically equivalent to:

       Map::Handle hMapResults = HashMap::create();
       for (Iterator::Handle hIter = vSetEntries->iterator();
           iter->hasNext; )
           {
           InvocableMap::Entry::Handle hEntry =
                   cast<InvocableMap::Entry::Handle>(hIter->next());
           hMapResults->put(hEntry->getKey(), process(hEntry));
           }
       return hMapResults;

Parameters:

  | vSetEntries | a Set of InvocableMap::Entry objects to process

Returns:
  a Map containing the results of the processing, up to one entry for each InvocableMap::Entry that was processed, keyed by the keys of the Map that were processed, with a corresponding value being the result of the processing for each key

Implemented in AbstractProcessor, ConditionalProcessor, ConditionalPut, ConditionalPutAll, ConditionalRemove, PreloadRequest, PriorityProcessor, VersionedPut, and VersionedPutAll.

The documentation for this class was generated from the following file:

- coherence/util/InvocableMap.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.